Loading...
Searching...
No Matches
generic.h File Reference
`#include <openbabel/babelconfig.h>`
`#include <string>`
`#include <vector>`
`#include <map>`
`#include <openbabel/math/spacegroup.h>`
`#include <openbabel/obutil.h>`
`#include <openbabel/base.h>`
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | OBCommentData
class | OBExternalBond
class | OBExternalBondData
class | OBPairData
class | OBPairTemplate< ValueT >
class | OBSetData
class | OBVirtualBond
class | OBRingData
class | OBUnitCell
class | OBConformerData
class | OBSymmetryData
class | OBTorsion
class | OBTorsionData
class | OBAngle
class | OBAngleData
class | OBSerialNums
class | OBVibrationData
class | OBDOSData
class | OBOrbital
class | OBOrbitalData
class | OBElectronicTransitionData
class | OBRotationData
class | OBVectorData
class | OBMatrixData
class | OBFreeGridPoint
class | OBFreeGrid
class | OBPcharge

## Namespaces

namespace | OpenBabel

## Typedefs

typedef OBPairTemplate< int > | OBPairInteger
typedef OBPairTemplate< double > | OBPairFloatingPoint
typedef OBPairTemplate< bool > | OBPairBool
typedef std::vector< OBFreeGridPoint * >::iterator | OBFreeGridPointIterator

## Detailed Description

Handle generic data classes. Custom data for atoms, bonds, etc.